// Definitions from P16F628a.INC
// Converted using inc2h v1.0, by John Nagle (http://www.jobie.com)

//=============================================
// PART = PIC 16F628A


#define         W               0x0000                                                                                         
#define         F               0x0001                                                                                         

//=============================================
// Registers

char indf@0x0000;
char tmr0@0x0001;
char pcl@0x0002;
char status@0x0003;
char fsr@0x0004;
char porta@0x0005;
char portb@0x0006;
char pclath@0x000A;
char intcon@0x000B;
char pir1@0x000C;
char tmr1l@0x000E;
char tmr1h@0x000F;
char t1con@0x0010;
char tmr2@0x0011;
char t2con@0x0012;
char ccpr1l@0x0015;
char ccpr1h@0x0016;
char ccp1con@0x0017;
char rcsta@0x0018;
char txreg@0x0019;
char rcreg@0x001A;
char cmcon@0x001F;
char option_reg@0x0081;
char trisa@0x0085;
char trisb@0x0086;
char pie1@0x008C;
char pcon@0x008E;
char pr2@0x0092;
char txsta@0x0098;
char spbrg@0x0099;
char eedata@0x009A;
char eeadr@0x009B;
char eecon1@0x009C;
char eecon2@0x009D;
char vrcon@0x009F;

//=============================================
// STATUS Bits

#define         IRP             0x0007                                                                                         
#define         RP1             0x0006                                                                                         
#define         RP0             0x0005                                                                                         
#define         NOT_TO          0x0004                                                                                         
#define         NOT_PD          0x0003                                                                                         
#define         Z               0x0002                                                                                         
#define         DC              0x0001                                                                                         
#define         C               0x0000                                                                                         

//=============================================
// INTCON Bits

#define         GIE             0x0007                                                                                         
#define         PEIE            0x0006                                                                                         
#define         T0IE            0x0005                                                                                         
#define         INTE            0x0004                                                                                         
#define         RBIE            0x0003                                                                                         
#define         T0IF            0x0002                                                                                         
#define         INTF            0x0001                                                                                         
#define         RBIF            0x0000                                                                                         

//=============================================
// PIR1 Bits

#define         EEIF            0x0007                                                                                         
#define         CMIF            0x0006                                                                                         
#define         RCIF            0x0005                                                                                         
#define         TXIF            0x0004                                                                                         
#define         CCP1IF          0x0002                                                                                         
#define         TMR2IF          0x0001                                                                                         
#define         TMR1IF          0x0000                                                                                         

//=============================================
// T1CON Bits

#define         T1CKPS1         0x0005                                                                                         
#define         T1CKPS0         0x0004                                                                                         
#define         T1OSCEN         0x0003                                                                                         
#define         NOT_T1SYNC      0x0002                                                                                         
#define         TMR1CS          0x0001                                                                                         
#define         TMR1ON          0x0000                                                                                         

//=============================================
// T2CON Bits

#define         TOUTPS3         0x0006                                                                                         
#define         TOUTPS2         0x0005                                                                                         
#define         TOUTPS1         0x0004                                                                                         
#define         TOUTPS0         0x0003                                                                                         
#define         TMR2ON          0x0002                                                                                         
#define         T2CKPS1         0x0001                                                                                         
#define         T2CKPS0         0x0000                                                                                         

//=============================================
// CCP1CON Bits

#define         CCP1X           0x0005                                                                                         
#define         CCP1Y           0x0004                                                                                         
#define         CCP1M3          0x0003                                                                                         
#define         CCP1M2          0x0002                                                                                         
#define         CCP1M1          0x0001                                                                                         
#define         CCP1M0          0x0000                                                                                         

//=============================================
// RCSTA Bits

#define         SPEN            0x0007                                                                                         
#define         RX9             0x0006                                                                                         
#define         SREN            0x0005                                                                                         
#define         CREN            0x0004                                                                                         
#define         ADEN            0x0003                                                                                         
#define         FERR            0x0002                                                                                         
#define         OERR            0x0001                                                                                         
#define         RX9D            0x0000                                                                                         

//=============================================
// CMCON Bits

#define         C2OUT           0x0007                                                                                         
#define         C1OUT           0x0006                                                                                         
#define         C2INV           0x0005                                                                                         
#define         C1INV           0x0004                                                                                         
#define         CIS             0x0003                                                                                         
#define         CM2             0x0002                                                                                         
#define         CM1             0x0001                                                                                         
#define         CM0             0x0000                                                                                         

//=============================================
// OPTION Bits

#define         NOT_RBPU        0x0007                                                                                         
#define         INTEDG          0x0006                                                                                         
#define         T0CS            0x0005                                                                                         
#define         T0SE            0x0004                                                                                         
#define         PSA             0x0003                                                                                         
#define         PS2             0x0002                                                                                         
#define         PS1             0x0001                                                                                         
#define         PS0             0x0000                                                                                         

//=============================================
// PIE1 Bits

#define         EEIE            0x0007                                                                                         
#define         CMIE            0x0006                                                                                         
#define         RCIE            0x0005                                                                                         
#define         TXIE            0x0004                                                                                         
#define         CCP1IE          0x0002                                                                                         
#define         TMR2IE          0x0001                                                                                         
#define         TMR1IE          0x0000                                                                                         

//=============================================
// PCON Bits

#define         OSCF            0x0003                                                                                         
#define         NOT_POR         0x0001                                                                                         
#define         NOT_BO          0x0000                                                                                         
#define         NOT_BOR         0x0000                                                                                         
#define         NOT_BOD         0x0000                                                                                         

//=============================================
// TXSTA Bits

#define         CSRC            0x0007                                                                                         
#define         TX9             0x0006                                                                                         
#define         TXEN            0x0005                                                                                         
#define         SYNC            0x0004                                                                                         
#define         BRGH            0x0002                                                                                         
#define         TRMT            0x0001                                                                                         
#define         TX9D            0x0000                                                                                         

//=============================================
// EECON1 Bits

#define         WRERR           0x0003                                                                                         
#define         WREN            0x0002                                                                                         
#define         WR              0x0001                                                                                         
#define         RD              0x0000                                                                                         

//=============================================
// VRCON Bits

#define         VREN            0x0007                                                                                         
#define         VROE            0x0006                                                                                         
#define         VRR             0x0005                                                                                         
#define         VR3             0x0003                                                                                         
#define         VR2             0x0002                                                                                         
#define         VR1             0x0001                                                                                         
#define         VR0             0x0000                                                                                         

//=============================================
// Configuration Bits

#define         _BODEN_ON       0x3FFF                                                                                         
#define         _BODEN_OFF      0x3FBF                                                                                         
#define         _CP_ON          0x1FFF                                                                                         
#define         _CP_OFF         0x3FFF                                                                                         
#define         _DATA_CP_ON     0x3EFF                                                                                         
#define         _DATA_CP_OFF    0x3FFF                                                                                         
#define         _PWRTE_OFF      0x3FFF                                                                                         
#define         _PWRTE_ON       0x3FF7                                                                                         
#define         _WDT_ON         0x3FFF                                                                                         
#define         _WDT_OFF        0x3FFB                                                                                         
#define         _LVP_ON         0x3FFF                                                                                         
#define         _LVP_OFF        0x3F7F                                                                                         
#define         _MCLRE_ON       0x3FFF                                                                                         
#define         _MCLRE_OFF      0x3FDF                                                                                         
#define         _RC_OSC_CLKOUT  0x3FFF                                                                                         
#define         _RC_OSC_NOCLKOUT0x3FFE                                                                                         
#define         _INTOSC_OSC_NOCL0x3FFC                                                                                         
#define         _EXTCLK_OSC     0x3FEF                                                                                         
#define         _LP_OSC         0x3FEC                                                                                         
#define         _XT_OSC         0x3FED                                                                                         
#define         _HS_OSC         0x3FEE                                                                                         
